:: Doesn't include gmock or gtest. So, need to get these ourselves for `make check`.
git clone -b release-1.7.0 https://github.com/google/googlemock.git gmock
if errorlevel 1 exit 1
git clone -b release-1.7.0 https://github.com/google/googletest.git gmock/gtest
if errorlevel 1 exit 1

call set_cmake_vars

for %%B in (Debug Release) DO (
      md build_%%B
      pushd build_%%B

      :: building shared is not recommanded on windows
      :: and it makes it impossible to correctly link caffe without
      :: make the proto lib a shared library.
      :: Configure.
      cmake -G "Ninja" ^
            -D BUILD_SHARED_LIBS=OFF ^
            -D CMAKE_BUILD_TYPE=%%B ^
            -D CMAKE_PREFIX_PATH=%CMAKE_PREFIX_PATH% ^
            -D CMAKE_MODULE_PATH=%CMAKE_MODULE_PATH% ^
            -D CMAKE_INSTALL_PREFIX:PATH=%LIBRARY_PREFIX% ^
            -D protobuf_WITH_ZLIB=ON ^
            -D CMAKE_DEBUG_POSTFIX=d ^
            -D protobuf_MSVC_STATIC_RUNTIME=OFF ^
            -D protobuf_BUILD_TESTS=OFF ^
            -D protobuf_BUILD_SHARED_LIBS=OFF ^
            %SRC_DIR%/cmake
      if errorlevel 1 exit 1

      :: Build.
      cmake --build . --target install --config %%B
      if errorlevel 1 exit 1

      popd
)

:: Copy FindProtobuf.cmake resource file to Library\cmake
call copy_find_module Protobuf

:: Install the Python portions too.
cd %SRC_DIR%
if errorlevel 1 exit 1
cd python
if errorlevel 1 exit 1
"%PYTHON%" setup.py install --single-version-externally-managed --record record.txt
if errorlevel 1 exit 1
